Программа: Claroline 1.7.4, возможно более ранние версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение, получить
доступ к важным данным и выполнить произвольный PHP сценарий на целевой системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в
параметре "file" сценария "rqmkhtml.php". Удаленный пользователь может с помощью
специально сформированного URL, содержащего символы обхода каталога просмотреть
произвольные файлы на системе.

Пример:

http://[host]/claroline/document/rqmkhtml.php?cmd=rqEditHtml&file=[file]

2. Уязвимость существует из-за недостаточной обработки входных данных в
параметре "file" сценария "rqmkhtml.php". Удаленный пользователь может с помощью
специально сформированного запроса выполнить произвольный код сценарий в
браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной обработки входных данных в
параметре "includePath" в сценарии "claroline/learnPath/include/scormExport.inc.php".
Удаленный пользователь может с помощью специально сформированного URL выполнить
произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для
удачной эксплуатации уязвимости опция "register_globals" должна быть включена.

 



Оставить мнение